TEST(1)

NAZWA
test - sprawdza typy plików i porównuje wartości

SKŁADNIA
test WYRAŻENIE
test
[ WYRAŻENIE ]
[ ]
[ OPCJA

OPIS

Kod zakończenia jest zależny od WYRAŻENIA.

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Jeżeli WYRAŻENIE zostanie pominięte, zwracany jest fałsz. W przeciwnym wypadku WYRAŻENIE jest prawdziwe lub fałszywe i ustawia kod zakończenia. Poniższe wyrażenia są prawdziwe, jeśli zostanie spełniony wypisany warunek:

( WYRAŻENIE )
    WYRAŻENIE jest prawdziwe

! WYRAŻENIE
    WYRAŻENIE jest fałszywe

WYRAŻENIE1 -a WYRAŻENIE2
    WYRAŻENIE1 oraz WYRAŻENIE2 są prawdziwe

WYRAŻENIE1 -o WYRAŻENIE2
    WYRAŻENIE1 lub WYRAŻENIE2 jest prawdziwe

-n ŁAŃCUCH
    długość ŁAŃCUCHA jest różna od zera

ŁAŃCUCH
    równoważne -n ŁAŃCUCH

-z ŁAŃCUCH
    długość ŁAŃCUCHA wynosi zero

ŁAŃCUCH1 = ŁAŃCUCH2
    łańcuchy są jednakowe

ŁAŃCUCH1 != ŁAŃCUCH2
    łańcuchy nie są jednakowe

LICZBA-CAŁKOWITA1 -eq LICZBA-CAŁKOWITA2
    LICZBA-CAŁKOWITA1 jest równa LICZBIE-CAŁKOWITEJ2

LICZBA-CAŁKOWITA1 -ge LICZBA-CAŁKOWITA2
    LICZBA-CAŁKOWITA1 jest większa lub równa LICZBIE-CAŁKOWITEJ2

LICZBA-CAŁKOWITA1 -gt LICZBA-CAŁKOWITA2
    LICZBA-CAŁKOWITA1 jest większa od LICZBY-CAŁKOWITEJ2

LICZBA-CAŁKOWITA1 -le LICZBA-CAŁKOWITA2
    LICZBA-CAŁKOWITA1 jest mniejsza lub równa LICZBIE-CAŁKOWITEJ2

LICZBA-CAŁKOWITA1 -lt LICZBA-CAŁKOWITA2
    LICZBA-CAŁKOWITA1 jest mniejsza od LICZBY-CAŁKOWITEJ2

LICZBA-CAŁKOWITA1 -ne LICZBA-CAŁKOWITA2
    LICZBA-CAŁKOWITA1 nie jest równa LICZBIE-CAŁKOWITEJ2

PLIK1 -ef PLIK2
    PLIK1 i PLIK2 mają te same numery urządzeń i i-węzłów

PLIK1 -nt PLIK2
    PLIK1 jest nowszy (według daty modyfikacji) niż PLIK2

PLIK1 -ot PLIK2
    PLIK1 jest starszy niż PLIK2

-b PLIK
    PLIK istnieje i jest urządzeniem blokowym

-c PLIK
    PLIK istnieje i jest urządzeniem znakowym

-d PLIK
    PLIK istnieje i jest katalogiem

-e PLIK
    PLIK istnieje

-f PLIK
    PLIK istnieje i jest zwykłym plikiem

-g PLIK
    PLIK istnieje i ma ustawiony SGID

-G PLIK
    PLIK istnieje i należy do grupy o numerze równym efektywnemu GID

-h PLIK
    PLIK istnieje i jest dowiązaniem symbolicznym (równoważne -L)

-k PLIK
    PLIK istnieje i ma ustawiony tzw. lepki bit

-L PLIK
    PLIK istnieje i jest dowiązaniem symbolicznym (równoważne -h)

-N PLIK
    PLIK istnieje i został zmodyfikowany od ostatniego odczytu

-O PLIK
    PLIK istnieje i należy do użytkownika o numerze równym efektywnemu UID

-p PLIK
    PLIK istnieje i jest potokiem nazwanym

-r PLIK
    PLIK istnieje i użytkownik ma uprawnienie do odczytu

-s PLIK
    PLIK istnieje i ma rozmiar większy od zera

-S PLIK
    PLIK istnieje i jest gniazdem

-t DESKRYPTOR
    DESKRYPTOR pliku jest otwarty na terminalu

-u PLIK
    PLIK istnieje i ma ustawiony SUID

-w PLIK
    PLIK istnieje i użytkownik ma uprawnienie do zapisu

-x PLIK
    PLIK istnieje i użytkownik ma uprawnienie do wykonywania (lub przeszukiwania)

Z wyjątkiem opcji -h i -L wszystkie testy związane z PLIKAMI rozwiązują dowiązania symboliczne. Proszę zwrócić uwagę, że nawiasy muszą być cytowane (np. odwrotnym ukośnikiem), aby uniknąć zinterpretowania przez powłokę. LICZBA-CAŁKOWITA może wynosić również -l ŁAŃCUCH; zostanie wówczas wzięta pod uwagę długość ŁAŃCUCHA.

UWAGA:: Binarne -a i -o są zupełnie niejednoznaczne. W takim przypadku należy korzystać z konstrukcji 'test WYR1 && test WYR2' lub 'test WYR1 || test WYR2'.

UWAGA: [ przyjmuje opcje --help i --version, ale test już nie. Program test traktuje te opcje jak każdy inny, niepusty ŁAŃCUCH.

UWAGA: aktualnie używana powłoka może posiadać swoją wersję test i/lub [, która z reguły przesłania wersję opisaną w niniejszym podręczniku. Proszę zapoznać się z dokumentacją używanej powłoki, aby dowiedzieć się szczegółów o obsługiwanych opcjach. Aby wywołać opisaną tu wersję, można użyć polecenia env tzn. env test ... lub env [ ....

AUTOR
Napisane przez Kevina Braunsdorfa i Matthew Bradburna.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2023 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
access(2)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/test>
lub lokalnie, za pomocą info '(coreutils) test invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Łukasz Kowalczyk <lukow@tempac.okwf.fuw.edu.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.